﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Shading;
using CG2.Rendering;

namespace CG2.Modeling
{
	public class Model
	{
		#region Properties

		public Shader Shader;

		public Ray Ray; // current ray (ray acceleration data)

		#endregion


		#region Ray Tracing

		public virtual void Collide(Ray ray)
		{
		}

		#endregion
	}
}
