﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Modeling;

namespace CG2.Rendering
{
	public class RayAccelerator
	{
		#region Properties

		public World World;

		#endregion

		public virtual void BuildStructure(World world)
		{
			World = world;
		}

		public virtual void Collide(Ray ray)
		{
			foreach (Model model in World.Models)
			{
				model.Collide(ray);
			}
		}
	}
}
