﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;

namespace CG2.Texturing
{
	public class ColorSampler : Sampler
	{
		#region Properties

		public Vector4 Color;

		#endregion

		
		#region Init

		public ColorSampler()
		{
		}

		public ColorSampler(Vector4 color)
		{
			Color = color;
		}

		#endregion

		
		#region Sampler

		public override Vector4 GetSample(Vector4 point)
		{
			return Color;
		}

		#endregion
	}
}
