﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;
using CG2.Rendering;

namespace CG2.Lighting
{
	public class SunLight : Light
	{
		#region Properties

		public Vector4 Direction;

		#endregion

		#region Lighting

		public override Double GetIntensityAt(Vector4 point)
		{
			return Intensity;
		}

		public override void SetLightRayAt(Vector4 point, Ray ray)
		{
			ray.Set(point, -Direction.Normalized, null, 0, 0);
		}

		#endregion
	}
}
