﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;

namespace CG2.Texturing
{
	public class NormalTexture2Sampler : Texture2Sampler
	{
		#region Init

		public NormalTexture2Sampler(String bitmapFile, TextureMapping mapping, TextureFiltering filtering, TextureWrap wrapU, TextureWrap wrapV)
			: base(bitmapFile, mapping, filtering, wrapU, wrapV)
		{
		}

		#endregion


		#region Sampler

		public override Vector4 GetSample(Vector4 point)
		{
			// TODO: sample color from bitmap (use base.GetSample)
			// TODO: translate color to normal. Encoding is RGB -> uvw (0..1) -> (-1..+1); G is inverted !
			// TODO: get tangent space vectors and transform local normal into world space and return it
			return Vector4.Zero;
		}

		#endregion
	}
}
